OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ConversionBasedUnit Class Reference

`#include <StepBasic_ConversionBasedUnit.hxx>`

Inheritance diagram for StepBasic_ConversionBasedUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_ConversionBasedUnit ()
| Returns a ConversionBasedUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions, const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetConversionFactor (const Handle(StepBasic_MeasureWithUnit)&aConversionFactor)
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | ConversionFactor () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
Handle_StepBasic_MeasureWithUnit | conversionFactor

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ConversionBasedUnit::StepBasic_ConversionBasedUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepBasic_ConversionBasedUnit::ConversionFactor | ( |  | ) | const

Standard_EXPORT const StepBasic_ConversionBasedUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_ConversionBasedUnitAndAreaUnit, StepBasic_ConversionBasedUnitAndLengthUnit, StepBasic_ConversionBasedUnitAndMassUnit, StepBasic_ConversionBasedUnitAndPlaneAngleUnit, StepBasic_ConversionBasedUnitAndRatioUnit, StepBasic_ConversionBasedUnitAndSolidAngleUnit, StepBasic_ConversionBasedUnitAndTimeUnit, and StepBasic_ConversionBasedUnitAndVolumeUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor
| ) | `[virtual]`

| Reimplemented in StepBasic_ConversionBasedUnitAndLengthUnit, StepBasic_ConversionBasedUnitAndMassUnit, StepBasic_ConversionBasedUnitAndPlaneAngleUnit, StepBasic_ConversionBasedUnitAndRatioUnit, StepBasic_ConversionBasedUnitAndSolidAngleUnit, and StepBasic_ConversionBasedUnitAndTimeUnit.

virtual Standard_EXPORT void StepBasic_ConversionBasedUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_NamedUnit. Reimplemented in StepBasic_ConversionBasedUnitAndLengthUnit, StepBasic_ConversionBasedUnitAndMassUnit, StepBasic_ConversionBasedUnitAndPlaneAngleUnit, StepBasic_ConversionBasedUnitAndRatioUnit, StepBasic_ConversionBasedUnitAndSolidAngleUnit, and StepBasic_ConversionBasedUnitAndTimeUnit.

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ConversionBasedUnit::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_ConversionBasedUnit::SetConversionFactor | ( | const Handle(StepBasic_MeasureWithUnit)& | aConversionFactor | ) |

Standard_EXPORT void StepBasic_ConversionBasedUnit::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepBasic_MeasureWithUnit StepBasic_ConversionBasedUnit::conversionFactor`[private]`

Handle_TCollection_HAsciiString StepBasic_ConversionBasedUnit::name`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ConversionBasedUnit.hxx